import { promises as fs, existsSync } from "fs"

import type { IAdapter } from "./index"

/**
 * Default Node.js adapter. This can be used while using `opvault.js`
 * in a Node.js environment.
 */
const nodeAdapter: IAdapter = {
  fs: {
    readFile: path => fs.readFile(path, "utf-8"),
    readBuffer: path => fs.readFile(path),
    writeFile: fs.writeFile,
    readdir: fs.readdir,
    stat: fs.stat,
    existsSync,
  },
}

export default nodeAdapter
